Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid.lexicon
Class TransformLexicon

    java.lang.Object
      org.modeshape.sequencer.teiid.lexicon.TransformLexicon

    public class TransformLexicon

extends Object

Nested Class Summary
`static class` | `TransformLexicon.Namespace`

Field Summary
`static Name` | `ALIAS`
`static Name` | `DELETE_ALLOWED`
`static Name` | `DELETE_SQL`
`static Name` | `DELETE_SQL_DEFAULT`
`static Name` | `INPUTS`
`static Name` | `INSERT_ALLOWED`
`static Name` | `INSERT_SQL`
`static Name` | `INSERT_SQL_DEFAULT`
`static Name` | `OUTPUT_LOCKED`
`static Name` | `SELECT_SQL`
`static Name` | `TRANSFORMED`
`static Name` | `UPDATE_ALLOWED`
`static Name` | `UPDATE_SQL`
`static Name` | `UPDATE_SQL_DEFAULT`
`static Name` | `WITH_SQL`

Constructor Summary
`TransformLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_SQL

    public static final Name SELECT_SQL

### INSERT_SQL

    public static final Name INSERT_SQL

### UPDATE_SQL

    public static final Name UPDATE_SQL

### DELETE_SQL

    public static final Name DELETE_SQL

### INSERT_ALLOWED

    public static final Name INSERT_ALLOWED

### UPDATE_ALLOWED

    public static final Name UPDATE_ALLOWED

### DELETE_ALLOWED

    public static final Name DELETE_ALLOWED

### OUTPUT_LOCKED

    public static final Name OUTPUT_LOCKED

### INSERT_SQL_DEFAULT

    public static final Name INSERT_SQL_DEFAULT

### UPDATE_SQL_DEFAULT

    public static final Name UPDATE_SQL_DEFAULT

### DELETE_SQL_DEFAULT

    public static final Name DELETE_SQL_DEFAULT

### ALIAS

    public static final Name ALIAS

### WITH_SQL

    public static final Name WITH_SQL

### TRANSFORMED

    public static final Name TRANSFORMED

### INPUTS

    public static final Name INPUTS

Constructor Detail

### TransformLexicon

    public TransformLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.